Public Class Form1
    Inherits System.Windows.Forms.Form

#Region " Windows フォーム デザイナで生成されたコード "

    Public Sub New()
        MyBase.New()

        ' この呼び出しは Windows フォーム デザイナで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後に初期化を追加します。

    End Sub

    ' Form は dispose をオーバーライドしてコンポーネント一覧を消去します。
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    ' Windows フォーム デザイナで必要です。
    Private components As System.ComponentModel.IContainer

    ' メモ : 以下のプロシージャは、Windows フォーム デザイナで必要です。
    ' Windows フォーム デザイナを使って変更してください。  
    ' コード エディタは使用しないでください。
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
        Me.ClientSize = New System.Drawing.Size(192, 430)
        Me.Name = "Form1"
        Me.Text = "Form1"

    End Sub

#End Region

    Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)

        'グラフィクスオブジェクトの取得
        Dim g As Graphics
        g = e.Graphics

        '画像ファイルの読み込み
        'アプリケーションのパスの直下の画像ファイルを読み込む
        Dim myBitmap0 As New Bitmap(Application.StartupPath + "\test0.bmp")
        Dim myBitmap1 As New Bitmap(Application.StartupPath + "\test1.bmp")
 
        '背景の描画
        g.DrawImage(myBitmap0, 0, 0)

        '描画命令（オリジナルの描画）
        g.DrawImage(myBitmap1, 10, 10)

        'Form全体の単位系をInchに設定
        g.PageUnit = GraphicsUnit.Inch
        'Inchで描画
        'Inchは、実数なので、DrawImage(Image, Single,Single,Single,Single)を使用
        g.DrawImage(myBitmap1, 0.2F, 1.0F, 0.5F, 0.5F)

    End Sub

End Class
